
@keyframes rotate-forever {
	0% {
		transform: rotate(0deg);
	}
	
	to {
		transform: rotate(1turn);
	}
}

@keyframes spinner-loader {
	0% {
		transform: rotate(0deg);
	}
	
	to {
		transform: rotate(1turn);
	}
}

.pum-container, .pum-content, .pum-content+.pum-close, .pum-content+.pum-close:active, .pum-content+.pum-close:focus, .pum-content+.pum-close:hover, .pum-overlay, .pum-title {
	background: none;
	border: none;
	bottom: auto;
	clear: none;
	cursor: default;
	float: none;
	font-family: inherit;
	font-size: medium;
	font-style: normal;
	font-weight: 400;
	height: auto;
	left: auto;
	letter-spacing: normal;
	line-height: normal;
	max-height: none;
	max-width: none;
	min-height: 0;
	min-width: 0;
	overflow: visible;
	position: static;
	right: auto;
	text-align: left;
	text-decoration: none;
	text-indent: 0;
	text-transform: none;
	top: auto;
	visibility: visible;
	white-space: normal;
	width: auto;
	z-index: auto;
}

.pum-content, .pum-title {
	position: relative;
	z-index: 1;
}

.pum-overlay {
	bottom: 0;
	display: none;
	height: 100%;
	left: 0;
	overflow: auto;
	overflow: initial;
	position: fixed;
	right: 0;
	top: 0;
	transition: all .15s ease-in-out;
	width: 100%;
	z-index: 1999999999;
}

.pum-overlay.pum-form-submission-detected, .pum-overlay.pum-preview {
	display: block;
}

.pum-overlay, .pum-overlay *, .pum-overlay :after, .pum-overlay :before, .pum-overlay:after, .pum-overlay:before {
	box-sizing: border-box;
}

.pum-container {
	margin-bottom: 3em;
	position: absolute;
	top: 100px;
	z-index: 1999999999;
}

.pum-container.pum-responsive {
	height: auto;
	left: 50%;
	margin-left: -47.5%;
	overflow: visible;
	width: 95%;
}

.pum-container.pum-responsive img {
	height: auto;
	max-width: 100%;
}

@media only screen and (min-width:1024px) {
	.pum-container.pum-responsive.pum-responsive-nano {
		margin-left: -5%;
		width: 10%;
	}
	
	.pum-container.pum-responsive.pum-responsive-micro {
		margin-left: -10%;
		width: 20%;
	}
	
	.pum-container.pum-responsive.pum-responsive-tiny {
		margin-left: -15%;
		width: 30%;
	}
	
	.pum-container.pum-responsive.pum-responsive-small {
		margin-left: -20%;
		width: 40%;
	}
	
	.pum-container.pum-responsive.pum-responsive-medium {
		margin-left: -30%;
		width: 60%;
	}
	
	.pum-container.pum-responsive.pum-responsive-normal {
		margin-left: -30%;
		width: 70%;
	}
	
	.pum-container.pum-responsive.pum-responsive-large {
		margin-left: -35%;
		width: 80%;
	}
	
	.pum-container.pum-responsive.pum-responsive-xlarge {
		margin-left: -47.5%;
		width: 95%;
	}
	
	.pum-container.pum-responsive.pum-position-fixed {
		position: fixed;
	}
}

@media only screen and (max-width:1024px) {
	.pum-container.pum-responsive.pum-position-fixed {
		position: absolute;
	}
}

.pum-container.custom-position {
	left: auto;
	margin-left: inherit;
	top: auto;
}

.pum-container .pum-title {
	margin-bottom: .5em;
}

.pum-container .pum-content:focus {
	outline: none;
}

.pum-container .pum-content>:first-child {
	margin-top: 0;
}

.pum-container .pum-content>:last-child {
	margin-bottom: 0;
}

.pum-container .pum-content+.pum-close {
	background-color: rgba(0, 0, 0, 0);
	cursor: pointer;
	line-height: 1;
	min-width: 1em;
	position: absolute;
	text-align: center;
	text-decoration: none;
	z-index: 2;
}

.pum-container .pum-content+.pum-close>span {
	position: relative;
	z-index: 1;
}

.pum-container.pum-scrollable .pum-content {
	max-height: 95%;
	overflow: auto;
	overflow-y: scroll;
}

.pum-overlay.pum-overlay-disabled {
	visibility: hidden;
}

.pum-overlay.pum-overlay-disabled::-webkit-scrollbar {
	display: block;
}

.pum-overlay.pum-overlay-disabled .pum-container {
	visibility: visible;
}

.pum-overlay.pum-click-to-close {
	cursor: pointer;
}

html.pum-open.pum-open-overlay, html.pum-open.pum-open-overlay.pum-open-fixed .pum-overlay {
	overflow: hidden;
}

html.pum-open.pum-open-overlay.pum-open-fixed .pum-container {
	position: fixed;
}

html.pum-open.pum-open-overlay.pum-open-scrollable body>:not([aria-modal=true]) {
	padding-right: 15px;
}

html.pum-open.pum-open-overlay.pum-open-scrollable .pum-overlay.pum-active {
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
}

html.pum-open.pum-open-overlay-disabled.pum-open-fixed .pum-container {
	position: fixed;
}

html.pum-open.pum-open-overlay-disabled.pum-open-scrollable .pum-overlay.pum-active {
	height: auto;
	position: static;
	width: auto;
}

.pum-form {
	margin: 0 auto 16px;
}

.pum-form__field {
	margin-bottom: 1em;
}

.pum-form__field label {
	font-weight: 700;
}

.pum-form__field input[type=date], .pum-form__field select {
	font-size: 18px;
	line-height: 26px;
	margin: 0 auto;
	padding: 3px;
	text-align: center;
	vertical-align: middle;
}

.pum-form__field select {
	padding: 5px 3px;
}

.pum-form__loader {
	animation-duration: .75s;
	animation-iteration-count: infinite;
	animation-name: rotate-forever;
	animation-timing-function: linear;
	border: .25em solid rgba(0, 0, 0, .5);
	border-radius: 50%;
	border-right-color: rgba(0, 0, 0, 0);
	display: inline-block;
	font-size: 2em;
	height: .75em;
	width: .75em;
}

.pum-form__submit {
	position: relative;
}

.pum-form__submit .pum-form__loader {
	border: .25em solid rgba(255, 255, 255, .5);
	border-right-color: rgba(0, 0, 0, 0);
	margin-left: .5em;
}

.pum-form__messages {
	border: 1px solid rgba(0, 0, 0, .25);
	display: none;
	margin-bottom: .5em;
	padding: 1em;
	position: relative;
}

.pum-form__message {
	margin-bottom: .5em;
}

.pum-form__message:last-child {
	margin-bottom: 0;
}

.pum-form__message--error {
	border-color: red;
	color: red !important;
}

.pum-form__message--success {
	border-color: green;
	color: green !important;
}

.pum-form--loading {
	opacity: .5;
}

.pum-alignment-left {
	text-align: left;
}

.pum-alignment-center {
	text-align: center;
}

.pum-alignment-right {
	text-align: right;
}

.pum-form--alignment-left {
	text-align: left;
}

.pum-form--alignment-center {
	text-align: center;
}

.pum-form--alignment-right {
	text-align: right;
}

.pum-form--layout-standard .pum-form__field>label {
	display: block;
	margin-bottom: .25em;
}

.pum-form--layout-inline .pum-form__field {
	display: inline-block;
}

.pum-form--layout-block .pum-form__field, .pum-form--layout-block button, .pum-form--layout-block div, .pum-form--layout-block input {
	display: block;
	width: 100%;
}

.pum-form--style-default label {
	font-size: 14px;
	font-weight: 700;
}

.pum-form--style-default input[type=email], .pum-form--style-default input[type=text] {
	background-color: #f8f7f7;
	font-size: 14px;
	margin-bottom: 5px;
	padding: 10px 8px;
}

.pum-form--style-default button {
	cursor: pointer;
	font-size: 18px;
	margin: 10px 0 0;
	padding: 10px 5px;
}

.pum-sub-form .pum-sub-form-loading {
	opacity: .5;
}

.pum-sub-form p.pum-newsletter-error-msg {
	margin: 0;
}

.pum-sub-form .spinner-loader {
	bottom: 40%;
	position: absolute;
	right: 50%;
}

.pum-sub-form .spinner-loader:not(:required) {
	animation: spinner-loader 1.5s linear infinite;
	border-radius: .5em;
	box-shadow: 1.5em 0 0 0 rgba(0, 0, 51, .3), 1.1em 1.1em 0 0 rgba(0, 0, 51, .3), 0 1.5em 0 0 rgba(0, 0, 51, .3), -1.1em 1.1em 0 0 rgba(0, 0, 51, .3), -1.5em 0 0 0 rgba(0, 0, 51, .3), -1.1em -1.1em 0 0 rgba(0, 0, 51, .3), 0 -1.5em 0 0 rgba(0, 0, 51, .3), 1.1em -1.1em 0 0 rgba(0, 0, 51, .3);
	display: inline-block;
	font-size: 10px;
	height: 1em;
	margin: 1.5em;
	overflow: hidden;
	text-indent: 100%;
	width: 1em;
}

.pum-form__field--consent {
	text-align: left;
}

.pum-form__field--consent.pum-form__field--checkbox label {
	display: inline-block;
	vertical-align: middle;
}

.pum-form__field--consent.pum-form__field--checkbox label input {
	display: inline-block;
	margin: 0;
	vertical-align: middle;
	width: inherit;
}

.pum-form__field--consent.pum-form__field--radio .pum-form__consent-radios.pum-form__consent-radios--inline label {
	display: inline-block;
	vertical-align: middle;
}

.pum-form__field--consent.pum-form__field--radio .pum-form__consent-radios.pum-form__consent-radios--inline label input {
	display: inline-block;
	margin: 0;
	vertical-align: middle;
	width: inherit;
}

.pum-form__field--consent.pum-form__field--radio .pum-form__consent-radios.pum-form__consent-radios--inline label+label {
	margin-left: 1em;
}

.pum-form__field--consent.pum-form__field--radio .pum-form__consent-radios.pum-form__consent-radios--stacked label {
	display: block;
	vertical-align: middle;
}

.pum-form__field--consent.pum-form__field--radio .pum-form__consent-radios.pum-form__consent-radios--stacked label input {
	display: inline-block;
	margin: 0;
	vertical-align: middle;
	width: inherit;
}

.popmake-close {
	cursor: pointer;
}

.pum-container iframe.formidable {
	overflow: visible;
	width: 100%;
}

.flatpickr-calendar.open, .pika-single, body div#ui-datepicker-div[style] {
	z-index: 9999999999 !important;
}

/* Popup Theme 650: Default Theme */
.pum-theme-650, .pum-theme-default-theme {
	background-color: rgba(255, 255, 255, 1);
}

.pum-theme-650 .pum-container, .pum-theme-default-theme .pum-container {
	padding: 0px;
	border-radius: 0px;
	border: 1px none #000;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, 0);
	background-color: rgba(0, 0, 0, 1);
}

.pum-theme-650 .pum-title, .pum-theme-default-theme .pum-title {
	color: #000;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: inherit;
	font-weight: 400;
	font-size: 32px;
	line-height: 36px;
}

.pum-theme-650 .pum-content, .pum-theme-default-theme .pum-content {
	color: #8c8c8c;
	font-family: inherit;
	font-weight: 400;
}

.pum-theme-650 .pum-content + .pum-close, .pum-theme-default-theme .pum-content + .pum-close {
	position: absolute;
	height: 60px;
	width: 60px;
	left: auto;
	right: 12px;
	bottom: auto;
	top: 12px;
	padding: 4px;
	color: #fff;
	font-family: inherit;
	font-weight: 400;
	font-size: 23px;
	line-height: 36px;
	border: 1px none #fff;
	border-radius: 28px;
	box-shadow: 1px 1px 3px 0px rgba(2, 2, 2, .23);
	text-shadow: 0px 0px 0px rgba(0, 0, 0, .23);
	background-color: rgba(217, 217, 217, .1);
}

/* Popup Theme 651: Light Box */
.pum-theme-651, .pum-theme-lightbox {
	background-color: rgba(0, 0, 0, .6);
}

.pum-theme-651 .pum-container, .pum-theme-lightbox .pum-container {
	padding: 18px;
	border-radius: 3px;
	border: 8px solid #000;
	box-shadow: 0px 0px 30px 0px rgba(2, 2, 2, 1);
	background-color: rgba(255, 255, 255, 1);
}

.pum-theme-651 .pum-title, .pum-theme-lightbox .pum-title {
	color: #000;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: inherit;
	font-weight: 100;
	font-size: 32px;
	line-height: 36px;
}

.pum-theme-651 .pum-content, .pum-theme-lightbox .pum-content {
	color: #000;
	font-family: inherit;
	font-weight: 100;
}

.pum-theme-651 .pum-content + .pum-close, .pum-theme-lightbox .pum-content + .pum-close {
	position: absolute;
	height: 26px;
	width: 26px;
	left: auto;
	right: -13px;
	bottom: auto;
	top: -13px;
	padding: 0px;
	color: #fff;
	font-family: Arial;
	font-weight: 100;
	font-size: 24px;
	line-height: 24px;
	border: 2px solid #fff;
	border-radius: 26px;
	box-shadow: 0px 0px 15px 1px rgba(2, 2, 2, .75);
	text-shadow: 0px 0px 0px rgba(0, 0, 0, .23);
	background-color: rgba(0, 0, 0, 1);
}

/* Popup Theme 652: Enterprise Blue */
.pum-theme-652, .pum-theme-enterprise-blue {
	background-color: rgba(0, 0, 0, .7);
}

.pum-theme-652 .pum-container, .pum-theme-enterprise-blue .pum-container {
	padding: 28px;
	border-radius: 5px;
	border: 1px none #000;
	box-shadow: 0px 10px 25px 4px rgba(2, 2, 2, .5);
	background-color: rgba(255, 255, 255, 1);
}

.pum-theme-652 .pum-title, .pum-theme-enterprise-blue .pum-title {
	color: #315b7c;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: inherit;
	font-weight: 100;
	font-size: 34px;
	line-height: 36px;
}

.pum-theme-652 .pum-content, .pum-theme-enterprise-blue .pum-content {
	color: #2d2d2d;
	font-family: inherit;
	font-weight: 100;
}

.pum-theme-652 .pum-content + .pum-close, .pum-theme-enterprise-blue .pum-content + .pum-close {
	position: absolute;
	height: 28px;
	width: 28px;
	left: auto;
	right: 8px;
	bottom: auto;
	top: 8px;
	padding: 4px;
	color: #fff;
	font-family: Times New Roman;
	font-weight: 100;
	font-size: 20px;
	line-height: 20px;
	border: 1px none #fff;
	border-radius: 42px;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, .23);
	text-shadow: 0px 0px 0px rgba(0, 0, 0, .23);
	background-color: rgba(49, 91, 124, 1);
}

/* Popup Theme 653: Hello Box */
.pum-theme-653, .pum-theme-hello-box {
	background-color: rgba(0, 0, 0, .75);
}

.pum-theme-653 .pum-container, .pum-theme-hello-box .pum-container {
	padding: 30px;
	border-radius: 80px;
	border: 14px solid #81d742;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, 0);
	background-color: rgba(255, 255, 255, 1);
}

.pum-theme-653 .pum-title, .pum-theme-hello-box .pum-title {
	color: #2d2d2d;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: Montserrat;
	font-weight: 100;
	font-size: 32px;
	line-height: 36px;
}

.pum-theme-653 .pum-content, .pum-theme-hello-box .pum-content {
	color: #2d2d2d;
	font-family: inherit;
	font-weight: 100;
}

.pum-theme-653 .pum-content + .pum-close, .pum-theme-hello-box .pum-content + .pum-close {
	position: absolute;
	height: auto;
	width: auto;
	left: auto;
	right: -30px;
	bottom: auto;
	top: -30px;
	padding: 0px;
	color: #2d2d2d;
	font-family: Times New Roman;
	font-weight: 100;
	font-size: 32px;
	line-height: 28px;
	border: 1px none #fff;
	border-radius: 28px;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, .23);
	text-shadow: 0px 0px 0px rgba(0, 0, 0, .23);
	background-color: rgba(255, 255, 255, 1);
}

/* Popup Theme 654: Cutting Edge */
.pum-theme-654, .pum-theme-cutting-edge {
	background-color: rgba(0, 0, 0, .5);
}

.pum-theme-654 .pum-container, .pum-theme-cutting-edge .pum-container {
	padding: 18px;
	border-radius: 0px;
	border: 1px none #000;
	box-shadow: 0px 10px 25px 0px rgba(2, 2, 2, .5);
	background-color: rgba(30, 115, 190, 1);
}

.pum-theme-654 .pum-title, .pum-theme-cutting-edge .pum-title {
	color: #fff;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: Sans-Serif;
	font-weight: 100;
	font-size: 26px;
	line-height: 28px;
}

.pum-theme-654 .pum-content, .pum-theme-cutting-edge .pum-content {
	color: #fff;
	font-family: inherit;
	font-weight: 100;
}

.pum-theme-654 .pum-content + .pum-close, .pum-theme-cutting-edge .pum-content + .pum-close {
	position: absolute;
	height: 24px;
	width: 24px;
	left: auto;
	right: 0px;
	bottom: auto;
	top: 0px;
	padding: 0px;
	color: #1e73be;
	font-family: Times New Roman;
	font-weight: 100;
	font-size: 32px;
	line-height: 24px;
	border: 1px none #fff;
	border-radius: 0px;
	box-shadow: -1px 1px 1px 0px rgba(2, 2, 2, .1);
	text-shadow: -1px 1px 1px rgba(0, 0, 0, .1);
	background-color: rgba(238, 238, 34, 1);
}

/* Popup Theme 655: Framed Border */
.pum-theme-655, .pum-theme-framed-border {
	background-color: rgba(255, 255, 255, .5);
}

.pum-theme-655 .pum-container, .pum-theme-framed-border .pum-container {
	padding: 18px;
	border-radius: 0px;
	border: 20px outset #d33;
	box-shadow: 1px 1px 3px 0px rgba(2, 2, 2, .97) inset;
	background-color: rgba(255, 251, 239, 1);
}

.pum-theme-655 .pum-title, .pum-theme-framed-border .pum-title {
	color: #000;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: inherit;
	font-weight: 100;
	font-size: 32px;
	line-height: 36px;
}

.pum-theme-655 .pum-content, .pum-theme-framed-border .pum-content {
	color: #2d2d2d;
	font-family: inherit;
	font-weight: 100;
}

.pum-theme-655 .pum-content + .pum-close, .pum-theme-framed-border .pum-content + .pum-close {
	position: absolute;
	height: 20px;
	width: 20px;
	left: auto;
	right: -20px;
	bottom: auto;
	top: -20px;
	padding: 0px;
	color: #fff;
	font-family: Tahoma;
	font-weight: 700;
	font-size: 16px;
	line-height: 18px;
	border: 1px none #fff;
	border-radius: 0px;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, .23);
	text-shadow: 0px 0px 0px rgba(0, 0, 0, .23);
	background-color: rgba(0, 0, 0, .55);
}

/* Popup Theme 656: Floating Bar - Soft Blue */
.pum-theme-656, .pum-theme-floating-bar {
	background-color: rgba(255, 255, 255, 0);
}

.pum-theme-656 .pum-container, .pum-theme-floating-bar .pum-container {
	padding: 8px;
	border-radius: 0px;
	border: 1px none #000;
	box-shadow: 1px 1px 3px 0px rgba(2, 2, 2, .23);
	background-color: rgba(238, 246, 252, 1);
}

.pum-theme-656 .pum-title, .pum-theme-floating-bar .pum-title {
	color: #505050;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: inherit;
	font-weight: 400;
	font-size: 32px;
	line-height: 36px;
}

.pum-theme-656 .pum-content, .pum-theme-floating-bar .pum-content {
	color: #505050;
	font-family: inherit;
	font-weight: 400;
}

.pum-theme-656 .pum-content + .pum-close, .pum-theme-floating-bar .pum-content + .pum-close {
	position: absolute;
	height: 18px;
	width: 18px;
	left: auto;
	right: 5px;
	bottom: auto;
	top: 50%;
	padding: 0px;
	color: #505050;
	font-family: Sans-Serif;
	font-weight: 700;
	font-size: 15px;
	line-height: 18px;
	border: 1px solid #505050;
	border-radius: 15px;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, 0);
	text-shadow: 0px 0px 0px rgba(0, 0, 0, 0);
	background-color: rgba(255, 255, 255, 0);
	transform: translate(0, -50%);
}

/* Popup Theme 657: Content Only - For use with page builders or block editor */
.pum-theme-657, .pum-theme-content-only {
	background-color: rgba(0, 0, 0, .7);
}

.pum-theme-657 .pum-container, .pum-theme-content-only .pum-container {
	padding: 0px;
	border-radius: 0px;
	border: 1px none #000;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, 0);
}

.pum-theme-657 .pum-title, .pum-theme-content-only .pum-title {
	color: #000;
	text-align: left;
	text-shadow: 0px 0px 0px rgba(2, 2, 2, .23);
	font-family: inherit;
	font-weight: 400;
	font-size: 32px;
	line-height: 36px;
}

.pum-theme-657 .pum-content, .pum-theme-content-only .pum-content {
	color: #8c8c8c;
	font-family: inherit;
	font-weight: 400;
}

.pum-theme-657 .pum-content + .pum-close, .pum-theme-content-only .pum-content + .pum-close {
	position: absolute;
	height: 18px;
	width: 18px;
	left: auto;
	right: 7px;
	bottom: auto;
	top: 7px;
	padding: 0px;
	color: #000;
	font-family: inherit;
	font-weight: 700;
	font-size: 20px;
	line-height: 20px;
	border: 1px none #fff;
	border-radius: 15px;
	box-shadow: 0px 0px 0px 0px rgba(2, 2, 2, 0);
	text-shadow: 0px 0px 0px rgba(0, 0, 0, 0);
	background-color: rgba(255, 255, 255, 0);
}

#pum-662 {
	z-index: 999999999;
}

#pum-25275 {
	z-index: 999999999;
}

#pum-25491 {
	z-index: 999999999;
}

.wp-block-kadence-query {
	scroll-margin-top: 10px;
	width: 100%;
}

.wp-block-kadence-query .kb-query-item.kb-query-block-post {
	box-shadow: none;
}

.wp-block-kadence-query.animation-overlay {
	position: relative;
}

.wp-block-kadence-query.animation-overlay.loading .overlay {
	display: block;
	opacity: .8;
	z-index: 100;
}

.wp-block-kadence-query.animation-spinner {
	position: relative;
}

.wp-block-kadence-query.animation-spinner .overlay {
	animation: none;
	background-color: var(--global-palette9, #fff);
	background-position: 50% 150px;
	background-repeat: no-repeat;
	background-size: 50px;
}

.wp-block-kadence-query.animation-spinner.loading .wp-block-kadence-query-card {
	overflow: hidden;
}

.wp-block-kadence-query.animation-spinner.loading .overlay {
	display: block;
	opacity: 1;
	z-index: 100;
}

.wp-block-kadence-query.animation-flip .kb-query-item {
	transform-style: preserve-3d;
}

.wp-block-kadence-query.animation-flip .kb-query-item.loading {
	transform: rotateY(180deg);
}

.wp-block-kadence-query.animation-flip .kb-query-item.loading .kb-query-item-flip-back {
	animation: gradient .3s ease infinite;
}

.wp-block-kadence-query.animation-flip .kb-query-block-post, .wp-block-kadence-query.animation-flip .kb-query-item-flip-back {
	backface-visibility: hidden;
}

.wp-block-kadence-query.animation-flip .kb-query-item-flip-back {
	animation: none;
	backface-visibility: hidden;
	background: linear-gradient(-45deg, var(--global-palette9, #fff), var(--global-palette7, #edf2f7), var(--global-palette9, #fff), var(--global-palette8, #f7fafc));
	background-size: 400% 400%;
	height: 100%;
	position: absolute;
	transform: rotateY(180deg);
	width: 100%;
}

.wp-block-kadence-query.animation-cover .kb-query-item.loading .kb-query-item-flip-back {
	display: block;
	z-index: 100;
}

.wp-block-kadence-query.animation-cover .kb-query-item-flip-back {
	animation: gradient 1s ease infinite;
	background: linear-gradient(-45deg, var(--global-palette9, #fff), var(--global-palette7, #edf2f7), var(--global-palette9, #fff), var(--global-palette8, #f7fafc));
	background-size: 400% 400%;
	display: none;
	height: 100%;
	position: absolute;
	width: 100%;
}

.wp-block-kadence-query.animation-shrink .kb-query-item.loading {
	transform: scale(.9);
}

.wp-block-kadence-query.animation-shrink .kb-query-item.loading .kb-query-item-flip-back {
	display: block;
	z-index: 100;
}

.wp-block-kadence-query.animation-shrink .kb-query-item-flip-back {
	animation: gradient 1s ease infinite;
	background: linear-gradient(-45deg, var(--global-palette9, #fff), var(--global-palette7, #edf2f7), var(--global-palette9, #fff), var(--global-palette8, #f7fafc));
	background-size: 400% 400%;
	display: none;
	height: 100%;
	position: absolute;
	width: 100%;
}

@keyframes gradient {
	0% {
		background-position: 0 50%;
	}
	
	50% {
		background-position: 100% 50%;
	}
	
	to {
		background-position: 0 50%;
	}
}

.wp-block-kadence-query .kadence-filter-wrap {
	border: 0;
	margin: 0;
	padding: 0;
}

.wp-block-kadence-query[data-infinite-scroll="1"] .wp-block-kadence-query-pagination {
	display: none;
}

.wp-block-kadence-query[data-infinite-scroll="1"].loading .infinite-scroll-trigger {
	background-position: 50%;
	background-repeat: no-repeat;
	background-size: 40px;
	height: 40px;
	margin-top: 10px;
}

.wp-block-kadence-query .wp-block-kadence-query-card .kb-query-grid-wrap {
	list-style: none outside;
	margin: 0;
	padding: 0;
}

.wp-block-kadence-query .wp-block-kadence-query-card .kb-query-grid-wrap:before {
	display: none;
}

.wp-block-kadence-query .wp-block-kadence-query-card .kb-query-grid-wrap * {
	box-sizing: border-box;
}

.wp-block-kadence-query .wp-block-kadence-query-card .kb-query-grid-wrap .kb-query-item.product {
	float: none;
	margin: 0;
	width: auto;
}

.wp-block-kadence-query.kb-pro-masonry-init .wp-block-kadence-query-card .kb-query-grid-wrap {
	display: block;
	height: unset;
}

.wp-block-kadence-query-card {
	position: relative;
	scroll-margin-top: 10px;
}

.wp-block-kadence-query-card .kb-query-grid-wrap {
	display: grid;
	gap: 20px;
	grid-template-columns: 1fr 1fr;
}

.wp-block-kadence-query-card .kb-query-item {
	position: relative;
	transition: transform .4s, boxshadow .3s, border .3s, borderRadius .3s, background .3s;
}

.wp-block-kadence-query-card .overlay {
	animation: gradient 2s ease infinite;
	background: linear-gradient(-45deg, var(--global-palette9, #fff), var(--global-palette7, #edf2f7), var(--global-palette9, #fff), var(--global-palette8, #f7fafc));
	background-size: 200% 200%;
	display: none;
	height: 100%;
	opacity: 0;
	position: absolute;
	transition: opacity .2s ease-in-out;
	width: 100%;
}

.kb-query-input-size-large {
	--kb-query-font-size: 1.25rem;
	--kb-query-line-height: 1.6;
}

.kb-query-input-size-small {
	--kb-query-font-size: .85rem;
	--kb-query-line-height: 1;
}

.kb-query-basic-style .kadence-filter-wrap {
	font-size: var(--kb-query-font-size, 1rem);
	line-height: var(--kb-query-line-height, 1.6);
}

.kb-query-basic-style .kadence-filter-wrap input[type=color], .kb-query-basic-style .kadence-filter-wrap input[type=date], .kb-query-basic-style .kadence-filter-wrap input[type=datetime-local], .kb-query-basic-style .kadence-filter-wrap input[type=datetime], .kb-query-basic-style .kadence-filter-wrap input[type=email], .kb-query-basic-style .kadence-filter-wrap input[type=file], .kb-query-basic-style .kadence-filter-wrap input[type=month], .kb-query-basic-style .kadence-filter-wrap input[type=number], .kb-query-basic-style .kadence-filter-wrap input[type=password], .kb-query-basic-style .kadence-filter-wrap input[type=range], .kb-query-basic-style .kadence-filter-wrap input[type=search], .kb-query-basic-style .kadence-filter-wrap input[type=tel], .kb-query-basic-style .kadence-filter-wrap input[type=text], .kb-query-basic-style .kadence-filter-wrap input[type=time], .kb-query-basic-style .kadence-filter-wrap input[type=url], .kb-query-basic-style .kadence-filter-wrap input[type=week], .kb-query-basic-style .kadence-filter-wrap textarea {
	-webkit-appearance: none;
	background: var(--kb-query-background-color, var(--global-palette9, #fff));
	border: var(--kb-query-border-width, 1px) solid var(--kb-query-border-color, var(--global-gray-400, #cbd5e0));
	border-radius: var(--kb-query-border-radius, 3px);
	box-shadow: 0 0 0 -7px transparent;
	box-sizing: border-box;
	color: var(--kb-query-text-color, var(--global-palette5, #555352));
	font-family: inherit;
	font-size: var(--kb-query-font-size, 1rem);
	line-height: var(--kb-query-line-height, 1.6);
	max-width: 100%;
	padding: var(--kb-query-v-padding, .4em) var(--kb-query-h-padding, .5em);
	width: 100%;
}

.kb-query-basic-style .kadence-filter-wrap input[type=color]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=date]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=datetime-local]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=datetime]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=email]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=file]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=month]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=number]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=password]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=range]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=search]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=tel]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=text]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=time]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=url]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=week]:focus, .kb-query-basic-style .kadence-filter-wrap textarea:focus {
	background: var(--kb-query-background-focus-color, var(--kb-query-background-color, var(--global-palette9, #fff)));
	border-color: var(--kb-query-border-focus-color, var(--global-palette6, #6e6e70));
	box-shadow: 0 5px 15px -7px rgba(0, 0, 0, .1);
	color: var(--kb-query-text-focus-color, var(--kb-query-text-color, var(--global-palette, #241e1a)));
	outline: 0;
}

.kb-query-basic-style .kadence-filter-wrap select {
	-moz-appearance: none;
	-webkit-appearance: none;
	appearance: none;
	background-size: 16px 100%;
	background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNSIgaGVpZ2h0PSIyNSIgZmlsbD0ibm9uZSIgc3Ryb2tlPSIjYmJiIiBzdHJva2Utd2lkdGg9IjIiPjxwYXRoIGQ9Im02IDkgNiA2IDYtNiIvPjwvc3ZnPg==") no-repeat calc(100% - 6px) 50%, var(--kb-query-background-color, var(--global-palette9, #fff));
	border: var(--kb-query-border-width, 1px) solid var(--kb-query-border-color, var(--global-gray-400, #cbd5e0));
	border-radius: var(--kb-query-border-radius, 3px);
	box-shadow: none;
	box-shadow: 0 0 0 -7px transparent;
	font-family: inherit;
	font-size: var(--kb-query-font-size, 1rem);
	line-height: var(--kb-query-line-height, 1.6);
	outline: 0;
	padding: var(--kb-query-v-padding, .4em) 35px var(--kb-query-v-padding, .4em) var(--kb-query-h-padding, .5em);
	width: 100%;
}

.kb-query-basic-style .kadence-filter-wrap select.nitro-lazy {
	background: none !important;
}

.kb-query-basic-style .kadence-filter-wrap select[multiple=""] {
	background: var(--kb-query-background-color, var(--global-palette9, #fff));
}

.kb-query-basic-style .kadence-filter-wrap select::-ms-expand {
	display: none;
}

.kb-query-basic-style .kadence-filter-wrap select:focus {
	background: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNSIgaGVpZ2h0PSIyNSIgZmlsbD0ibm9uZSIgc3Ryb2tlPSIjYmJiIiBzdHJva2Utd2lkdGg9IjIiPjxwYXRoIGQ9Im02IDkgNiA2IDYtNiIvPjwvc3ZnPg==") no-repeat calc(100% - 6px) 50%, var(--kb-query-background-focus-color, var(--kb-query-background-color, var(--global-palette9, #fff)));
	border-color: var(--kb-query-border-focus-color, var(--global-palette6, #6e6e70));
	box-shadow: 0 5px 15px -7px rgba(0, 0, 0, .1);
	color: var(--kb-query-text-focus-color, var(--kb-query-text-color, var(--global-palette, #241e1a)));
	outline: 0;
}

.kb-query-basic-style .kadence-filter-wrap select:focus.nitro-lazy {
	background: none !important;
}

.kb-query-basic-style .kadence-filter-wrap select:focus option {
	color: #333;
}

.kb-query-basic-style .kadence-filter-wrap button {
	line-height: var(--kb-query-line-height, 1.6);
}

.kb-query-basic-style .kadence-filter-wrap ::-moz-placeholder {
	color: var(--kb-query-placeholder-color, var(--global-palette6, #6e6e70));
	opacity: 1;
}

.kb-query-basic-style .kadence-filter-wrap ::placeholder {
	color: var(--kb-query-placeholder-color, var(--global-palette6, #6e6e70));
}

.kb-query-basic-style .kadence-filter-wrap input[type=checkbox], .kb-query-basic-style .kadence-filter-wrap input[type=radio] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	background: var(--kb-query-background-color, var(--global-palette9, #fff));
	border: max(var(--kb-query-border-width, 1px), 1px) solid var(--kb-query-border-color, var(--global-gray-400, #cbd5e0));
	border-radius: 50%;
	color: currentColor;
	display: grid;
	height: .9em;
	margin: 0;
	min-width: .8em;
	place-content: center;
	transform: translateY(-.18em);
	width: .9em;
}

.kb-query-basic-style .kadence-filter-wrap input[type=checkbox] {
	border-radius: var(--kb-query-border-radius, 3px);
	transform: translateY(-.075em);
}

.kb-query-basic-style .kadence-filter-wrap input[type=checkbox]:before, .kb-query-basic-style .kadence-filter-wrap input[type=radio]:before {
	background-color: CanvasText;
	border-radius: 50%;
	box-shadow: inset 1em 1em var(--kb-query-check-color, #fff);
	content: "";
	height: .3em;
	transform: scale(0);
	transition: transform .12s ease-in-out;
	width: .3em;
}

.kb-query-basic-style .kadence-filter-wrap input[type=checkbox]:before {
	border-radius: var(--kb-query-border-radius, 3px);
	clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0, 43% 62%);
	height: .5em;
	width: .5em;
}

.kb-query-basic-style .kadence-filter-wrap input[type=checkbox]:checked, .kb-query-basic-style .kadence-filter-wrap input[type=radio]:checked {
	background: var(--kb-query-check-highlight-color, #0c5aff);
	border-color: var(--kb-query-check-highlight-color, #0c5aff);
}

.kb-query-basic-style .kadence-filter-wrap input[type=checkbox]:checked:before, .kb-query-basic-style .kadence-filter-wrap input[type=radio]:checked:before {
	transform: scale(1);
}

.kb-query-basic-style .kadence-filter-wrap input[type=checkbox]:focus, .kb-query-basic-style .kadence-filter-wrap input[type=radio]:focus {
	outline-offset: 3px;
}

.kb-query-basic-style .kadence-filter-wrap .kb-radio-check-items-inline {
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
}

.kb-query-basic-style .kadence-filter-wrap .kb-radio-check-item {
	align-items: baseline;
	display: flex;
	margin: 0;
}

.kb-query-basic-style .kadence-filter-wrap .kb-radio-check-item label {
	color: var(--kb-query-text-color, var(--global-palette5, #555352));
	flex-grow: 1;
	font-size: 90%;
	padding-left: .4em;
}

.kb-query-basic-style .kadence-filter-wrap input[type=file]::file-selector-button {
	border: none;
	border-radius: var(--kb-query-border-radius, 3px);
	cursor: pointer;
	font-size: 90%;
	margin-right: 1em;
	padding: var(--kb-query-btn-v-padding, .2em) var(--kb-query-btn-h-padding, 1em);
	transition: background .2s ease-in-out;
}

.kb-query-basic-style .kadence-filter-wrap .kb-adv-query-help {
	color: var(--kb-query-help-color, var(--global-palette6, #777));
	display: block;
	font-size: 80%;
	font-style: italic;
	margin: 2px 0;
}

.kb-query-basic-style .kadence-filter-wrap input.has-error:not(:focus):invalid {
	border-color: var(--kb-query-error-color, #be001b) !important;
}

.header-menu-container ul.menu>li.kadence-menu-mega-enabled>ul ul.kb-query-grid-wrap {
	display: grid;
}

.rtl .wp-block-kadence-query-card .kb-query-grid-wrap {
	direction: rtl;
}

.wp-block-kadence-query-filter {
	display: inline;
}

legend.kb-query-label {
	font-weight: 700;
	margin-bottom: .5em;
}

legend.kb-query-label svg {
	vertical-align: middle;
}

.wp-block-kadence-query-filter-buttons {
	display: flex;
}

.wp-block-kadence-query-filter-buttons .buttons-options {
	-moz-column-gap: 5px;
	column-gap: 5px;
	display: flex;
	flex-wrap: wrap;
	row-gap: 5px;
}

.wp-block-kadence-query-filter-buttons.inline .buttons-options .btn-inner-wrap {
	width: auto;
}

.wp-block-kadence-query-filter-buttons .kadence-filter-wrap {
	width: 100%;
}

.wp-block-kadence-query-filter-buttons .kt-button {
	align-items: center;
	border: 0 solid transparent;
	border-radius: 3px;
	box-shadow: none;
	cursor: pointer;
	display: flex;
	font-size: 1.125rem;
	justify-content: center;
	overflow: hidden;
	padding: .4em 1em;
	position: relative;
	text-align: center;
	transition: all .3s ease-in-out;
	z-index: 1;
}

.wp-block-kadence-query-filter-buttons .kt-button.kt-btn-width-type-full {
	flex: 1 0 fit-content;
	width: 100%;
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-pill {
	border-radius: 100px;
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-outline, .wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-pill {
	background: transparent;
	border: 2px solid var(--global-palette-btn-bg, #3633e1);
	color: var(--global-palette-btn-bg, #3633e1);
	padding: calc(.4em - 2px) calc(1em - 2px);
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-outline:hover, .wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-pill:hover {
	background: transparent;
	border-color: var(--global-palette-btn-bg-hover, #2f2ffc);
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-outline.pressed, .wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-pill.pressed {
	background: var(--global-palette-btn-bg-hover, #2f2ffc);
	border-color: var(--global-palette-btn-bg-hover, #2f2ffc);
	color: var(--global-palette-btn, #fff);
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-underline {
	background: transparent;
	border-bottom: 2px solid transparent;
	border-radius: 0;
	color: var(--global-palette-btn-bg, #3633e1);
	padding: calc(.4em - 2px) calc(1em - 2px);
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-underline:hover {
	border-bottom-color: var(--global-palette-btn-bg-hover, #2f2ffc);
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-underline.pressed {
	border-bottom-color: var(--global-palette-btn-bg, #3633e1);
}

.wp-block-kadence-query-filter-buttons .kt-button:before {
	background: transparent;
	bottom: 0;
	content: "";
	left: 0;
	opacity: 0;
	position: absolute;
	right: 0;
	top: 0;
	transition: all .3s ease-in-out;
	z-index: -1;
}

.wp-block-kadence-query-filter-buttons .kt-button:hover:before {
	opacity: 1;
}

.wp-block-kadence-query-filter-buttons .kt-btn-width-type-fixed .kt-button {
	width: 100%;
}

.wp-block-kadence-query-filter-buttons .kt-button.kt-btn-size-small {
	font-size: .9rem;
}

.wp-block-kadence-query-filter-buttons .kt-button.kt-btn-size-large {
	font-size: 1.35rem;
}

.wp-block-kadence-query-filter-buttons .kt-button.kt-btn-size-xlarge {
	font-size: 1.65rem;
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-outline.kt-btn-size-xlarge, .wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-pill.kt-btn-size-xlarge {
	border-style: solid;
	border-width: 4px;
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-outline.kt-btn-size-large, .wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-pill.kt-btn-size-large {
	border-style: solid;
	border-width: 3px;
	padding: calc(.4em - 3px) calc(1em - 3px);
}

.wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-outline.kt-btn-size-small, .wp-block-kadence-query-filter-buttons .kt-button.kb-btn-global-pill.kt-btn-size-small {
	border-style: solid;
	border-width: 1px;
	padding: calc(.4em - 1px) calc(1em - 1px);
}

.wp-block-kadence-query-filter-buttons.kt-btn-align-center .buttons-options {
	justify-content: center;
}

.wp-block-kadence-query-filter-buttons.kt-btn-align-left .buttons-options {
	justify-content: flex-start;
}

.wp-block-kadence-query-filter-buttons.kt-btn-align-right .buttons-options {
	justify-content: flex-end;
}

.wp-block-kadence-query-filter-checkbox {
	display: flex;
}

.wp-block-kadence-query-filter-checkbox .checkbox-options {
	-moz-column-gap: 5px;
	column-gap: 5px;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	row-gap: 5px;
}

.wp-block-kadence-query-filter-checkbox.inline .checkbox-options {
	flex-direction: row;
}

.wp-block-kadence-query-filter-date {
	display: inline;
}

.wp-block-kadence-query-filter-range {
	display: inline;
}

.wp-block-kadence-query-filter-range[data-type=fields] .sliders_control, .wp-block-kadence-query-filter-range[data-type=slider] .form_control {
	display: none;
}

.wp-block-kadence-query-filter-range .range_container {
	display: flex;
	flex-direction: column;
}

.wp-block-kadence-query-filter-range .sliders_control {
	min-height: 22px;
	position: relative;
}

.wp-block-kadence-query-filter-range .sliders_control input[type=range] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	border: none;
	height: 2px;
	padding: 0;
	pointer-events: none;
	position: absolute;
	top: 11px;
	width: 100%;
}

.wp-block-kadence-query-filter-range .sliders_control input[type=range].fromSlider {
	height: 0;
	z-index: 1;
}

.wp-block-kadence-query-filter-range .sliders_control input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background-color: #fff;
	border-radius: 50%;
	cursor: pointer;
	height: 20px;
	pointer-events: all;
	width: 20px;
}

.wp-block-kadence-query-filter-range .sliders_control input[type=range]::-moz-range-thumb {
	-webkit-appearance: none;
	background-color: #fff;
	border-radius: 50%;
	box-shadow: 0 0 0 1px #c6c6c6;
	cursor: pointer;
	height: 20px;
	pointer-events: all;
	width: 20px;
}

.wp-block-kadence-query-filter-range .sliders_control input[type=range]::-webkit-slider-thumb:hover {
	background: #f7f7f7;
}

.wp-block-kadence-query-filter-range .sliders_control input[type=range]::-webkit-inner-spin-button, .wp-block-kadence-query-filter-range .sliders_control input[type=range]::-webkit-outer-spin-button {
	opacity: 1;
}

.wp-block-kadence-query-filter-range .from-display, .wp-block-kadence-query-filter-range .to-display {
	display: none;
}

.wp-block-kadence-query-filter-range[data-slider-values-type=below] .sliders_control {
	min-height: 47px;
}

.wp-block-kadence-query-filter-range[data-slider-values-type=below] .from-display, .wp-block-kadence-query-filter-range[data-slider-values-type=below] .to-display {
	border: 1px solid var(--global-palette-7, #c6c6c6);
	border-radius: 5px;
	display: flex;
	font-size: 14px;
	line-height: 1;
	padding: 3px;
	position: absolute;
	top: 23px;
	white-space: nowrap;
}

.wp-block-kadence-query-filter-range .form_control {
	display: flex;
	gap: 20px;
	justify-content: space-between;
	margin-bottom: 20px;
	position: relative;
}

.wp-block-kadence-query-filter-range .form_control_container {
	border: 1px solid var(--global-palette-7, #c6c6c6);
	border-radius: 5px;
	display: flex;
	flex: 1;
	max-width: 250px;
	min-block-size: 45px;
	position: relative;
}

.wp-block-kadence-query-filter-range .form_control_container .form_control_container__label {
	font-size: .75rem;
	left: 5px;
	pointer-events: none;
	position: absolute;
}

.wp-block-kadence-query-filter-range .form_control_container input[type=number] {
	border: none;
	padding: 16px 5px 0;
}

.wp-block-kadence-query-filter-range input[type=range]::-webkit-slider-thumb:hover {
	background: #f7f7f7;
}

legend.kb-query-label {
	font-weight: 700;
	margin-bottom: .5em;
}

.kb-query-filter-reset-button {
	align-items: center;
	display: inline-flex;
	justify-content: center;
	overflow: hidden;
	position: relative;
	text-align: center;
	z-index: 1;
}

.kb-query-filter-reset-button.kt-btn-width-type-full {
	flex: 1 0 fit-content;
	width: 100%;
}

.kb-query-filter-reset-button .kt-button {
	display: flex;
}

.kb-query-filter-reset-button .kb-svg-icon-wrap svg {
	height: 1em;
	width: 1em;
}

.kb-blocks-button-aos.kb-btn-width-type-full {
	flex: 1 0 fit-content;
	width: 100%;
}

.kb-query-filter-reset-button:not(.kb-btn-global-inherit) {
	border: 0 solid transparent;
	border-radius: 3px;
	box-shadow: none;
	cursor: pointer;
	font-size: 1.125rem;
	padding: .4em 1em;
	transition: all .3s ease-in-out;
}

.kb-query-filter-reset-button:not(.kb-btn-global-inherit):hover {
	box-shadow: none;
}

.kb-query-filter-reset-button.kb-btn-global-fill {
	background: var(--global-palette-btn-bg, #3633e1);
	border: 0 solid transparent;
	border-radius: 3px;
	color: var(--global-palette-btn, #fff);
}

.kb-query-filter-reset-button.kb-btn-global-fill:hover {
	background: var(--global-palette-btn-bg-hover, #2f2ffc);
	color: var(--global-palette-btn-hover, #fff);
}

.kb-query-filter-reset-button.kb-btn-global-outline {
	background: transparent;
	border: 2px solid var(--global-palette-btn-bg, #3633e1);
	color: var(--global-palette-btn-bg, #3633e1);
	padding: calc(.4em - 2px) calc(1em - 2px);
}

.kb-query-filter-reset-button.kb-btn-global-outline:hover {
	background: transparent;
	border-color: var(--global-palette-btn-bg-hover, #2f2ffc);
	color: var(--global-palette-btn-bg-hover, #2f2ffc);
}

.kb-query-filter-reset-button:before {
	background: transparent;
	bottom: 0;
	content: "";
	left: 0;
	opacity: 0;
	position: absolute;
	right: 0;
	top: 0;
	z-index: -1;
}

.kb-query-filter-reset-button:hover:before {
	opacity: 1;
}

.wp-block-kadence-query-filter-reset .kb-query-filter-reset-button.kt-btn-size-small {
	font-size: .9rem;
}

.wp-block-kadence-query-filter-reset .kb-query-filter-reset-button.kt-btn-size-large {
	font-size: 1.35rem;
}

.wp-block-kadence-query-filter-reset .kb-query-filter-reset-button.kt-btn-size-xlarge {
	font-size: 1.65rem;
}

.kb-query-filter-reset-button.kb-btn-global-outline.kt-btn-size-xlarge {
	border-width: 4px;
}

.kb-query-filter-reset-button.kb-btn-global-outline.kt-btn-size-large {
	border-width: 3px;
	padding: calc(.4em - 3px) calc(1em - 3px);
}

.kb-query-filter-reset-button.kb-btn-global-outline.kt-btn-size-small {
	border-width: 1px;
	padding: calc(.4em - 1px) calc(1em - 1px);
}

.kb-query-filter-reset-button.kt-btn-has-svg-true {
	display: inline-flex;
	gap: .5em;
}

.wp-block-kadence-query-filter-reset .kb-svg-icon-wrap {
	align-items: center;
	display: inline-flex;
	justify-content: center;
}

.wp-block-kadence-query-filter-reset.wp-block-kadence-query-filter-reset.wp-block-kadence-query-filter-reset {
	margin: 0;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-center {
	justify-content: center;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-left {
	justify-content: flex-start;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-right {
	justify-content: flex-end;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-space-between {
	justify-content: space-between;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-center.kb-direction-columns {
	align-items: center;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-left.kb-direction-columns {
	align-items: flex-start;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-right.kb-direction-columns {
	align-items: flex-end;
}

.wp-block-kadence-query-filter-reset .kt-btn-align-space-between.kb-direction-columns, .wp-block-kadence-query-filter-reset .kt-btn-valign-center {
	align-items: center;
}

.wp-block-kadence-query-filter-reset .kt-btn-valign-top {
	align-items: flex-start;
}

.wp-block-kadence-query-filter-reset .kt-btn-valign-bottom {
	align-items: flex-end;
}

.wp-block-kadence-query-filter-reset .kt-btn-valign-center.kb-direction-columns {
	justify-content: center;
}

.wp-block-kadence-query-filter-reset .kt-btn-valign-top.kb-direction-columns {
	justify-content: flex-start;
}

.wp-block-kadence-query-filter-reset .kt-btn-valign-bottom.kb-direction-columns {
	justify-content: flex-end;
}

.btn-inner-wrap {
	display: flex;
	width: 100%;
}

.kb-btn-has-icon {
	gap: .5em;
}

.kb-btn-only-icon .kt-button-text {
	display: none;
}

.wp-block-kadence-query-filter-search {
	display: block;
}

.wp-block-kadence-query-filter-search .kb-filter-search-wrap {
	position: relative;
}

.wp-block-kadence-query-filter-search .kb-filter-search-wrap .kb-filter-search-btn {
	align-items: center;
	background: 0 0;
	border: 0;
	border-radius: 0;
	color: var(--global-palette6, #718096);
	display: flex;
	font-size: 15px;
	height: 100%;
	justify-content: center;
	padding: 0;
	position: absolute;
	right: 0;
	text-align: center;
	text-shadow: none;
	top: 0;
	width: 50px;
	z-index: 3;
}

.wp-block-kadence-query-filter-search .kb-filter-search-wrap .kb-filter-search-btn svg {
	height: 1em;
	width: 1em;
}

.wp-block-kadence-query-filter-search .kb-filter-search-wrap .kb-filter-search-btn:focus, .wp-block-kadence-query-filter-search .kb-filter-search-wrap .kb-filter-search-btn:hover {
	box-shadow: none;
	color: var(--global-palette4, #2d3748);
}

.rtl .wp-block-kadence-query-filter-search .kb-filter-search-wrap .kb-filter-search-btn {
	left: 0;
	right: auto;
}

.wp-block-kadence-query-filter-woo-attribute {
	display: flex;
}

.wp-block-kadence-query-filter-woo-attribute .swatch-options {
	-moz-column-gap: 5px;
	column-gap: 5px;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	row-gap: 5px;
}

.wp-block-kadence-query-filter-woo-attribute.inline .swatch-options {
	flex-direction: row;
}

.wp-block-kadence-query-filter-woo-attribute .kadence-filter-wrap .kb-radio-check-item {
	align-items: center;
}

.wp-block-kadence-query-filter-woo-attribute .kb-radio-check-item.has-swatch input[type=checkbox] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	background-color: gray;
	background-position: 50%;
	background-repeat: no-repeat;
	background-size: contain;
	border-radius: 100%;
	color: currentColor;
	font: inherit;
	height: 1.15em;
	margin: 0;
	transform: translateY(-.075em);
	transition: border .25s ease-in-out;
	width: 1.15em;
}

.wp-block-kadence-query-filter-woo-attribute .kb-radio-check-item.has-swatch input[type=checkbox]:checked, .wp-block-kadence-query-filter-woo-attribute .kb-radio-check-item.has-swatch.has-image input[type=checkbox]:checked {
	border: 2px solid;
}

.wp-block-kadence-query-filter-woo-attribute .kb-radio-check-item.has-swatch input[type=checkbox]:focus-visible {
	outline: max(2px, .15em) solid currentColor;
	outline-offset: max(2px, .15em);
}

.wp-block-kadence-query-filter-woo-attribute .kb-radio-check-item.has-swatch.has-image input[type=checkbox] {
	background-color: initial;
	border: none;
	border-radius: 0;
}

.wp-block-kadence-query-filter-woo-attribute .kb-radio-check-item.has-swatch.has-image input[type=checkbox]:checked:before {
	display: none;
}

.wp-block-kadence-query-noresults {
	display: none;
}

.wp-block-kadence-query-noresults.active {
	display: block;
}

.wp-block-kadence-query-pagination .pagination {
	display: flex;
	margin: var(--global-lg-spacing, 2.5em) auto;
	overflow: hidden;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-center {
	justify-content: center;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-right {
	justify-content: flex-end;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-left {
	justify-content: flex-start;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-space-between {
	justify-content: space-between;
}

.wp-block-kadence-query-pagination .pagination {
	display: flex;
	margin: var(--global-lg-spacing, 2.5em) auto;
	overflow: hidden;
}

.wp-block-kadence-query-pagination .pagination .nav-links {
	flex-wrap: wrap;
	justify-content: center;
}

.wp-block-kadence-query-pagination .pagination .page-numbers {
	border: 2px solid transparent;
	border-radius: .25rem;
	color: inherit;
	display: inline-block;
	line-height: 2.25em;
	margin-right: .5em;
	min-width: 2.5em;
	text-align: center;
	text-decoration: none;
}

.wp-block-kadence-query-pagination .pagination a:active, .wp-block-kadence-query-pagination .pagination a:focus, .wp-block-kadence-query-pagination .pagination a:hover {
	border-color: var(--global-palette-btn-bg);
}

.wp-block-kadence-query-pagination .pagination .dots {
	border: none;
	min-width: auto;
}

.wp-block-kadence-query-pagination .pagination .current {
	background: var(--global-palette-btn-bg);
	border-color: var(--global-palette-btn-bg);
	color: var(--global-palette-btn);
}

.wp-block-kadence-query-pagination .pagination .page-numbers:last-child {
	margin-right: 0;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-center {
	justify-content: center;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-right {
	justify-content: flex-end;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-left {
	justify-content: flex-start;
}

.wp-block-kadence-query-pagination .wp-block-kadence-query-pagination-align-space-between {
	justify-content: space-between;
}

.wp-block-kadence-query-sort {
	display: inline;
}
